using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinDataSource;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinMaskedEdit;

namespace EditAsTime
{
    public partial class Form1 : Form
    {
        private readonly List<DateTime> data = new List<DateTime>();

        /// <summary>
        /// Initializes a new instance of the <see cref="Form1"/> class.
        /// </summary>
        public Form1()
        {
            InitializeComponent();
            grid_.DisplayLayout.Override.CellClickAction = CellClickAction.RowSelect;

            BuildTestData();
            PopulateDataSource();
        }

        /// <summary>
        /// Builds the test data.
        /// </summary>
        private void BuildTestData()
        {
            data.Add(new DateTime(1900, 1, 1, 8, 0, 0));
            data.Add(new DateTime(1900, 1, 1, 12, 0, 0));
            data.Add(new DateTime(1900, 1, 1, 16, 0, 0));
        }

        /// <summary>
        /// Populates the data source.
        /// </summary>
        private void PopulateDataSource()
        {
            foreach (DateTime time in data)
            {
                UltraDataRow row = dataSource_.Rows.Add();
                row["Start"] = time;
                row["End"] = time;
                row["Value"] = 4;
            }
        }
       

        /// <summary>
        /// Handles the Click event of the button1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void button1_Click(object sender, EventArgs e)
        {
            string selectedRowMessage = string.Format("Selected.Rows.Count = {0}", grid_.Selected.Rows.Count);
            MessageBox.Show(selectedRowMessage);
        }

        private void grid__AfterSelectChange(object sender, AfterSelectChangeEventArgs e)
        {

        }
    }
}